<?php
// アイキャッチ画像の有効化
add_theme_support( 'post-thumbnails' );

// JavaScriptの読み込み
wp_enqueue_script('my_script', get_template_directory_uri() . '/script.js',
 array(),
 false,
 true);

// ウィジェットの登録
register_sidebar( array(
  'name' => 'サイドバー'
));

// メニューの設定
add_theme_support( 'menus' );
register_nav_menus ( array(
  'header' => 'ヘッダーメニュー'
));

// アーカイブの設定
function post_has_archive($args, $post_type)
{
    if ('post' == $post_type) {
        $args['rewrite'] = true; // リライトを有効にする
        $args['has_archive'] = 'post'; // 任意のスラッグ名
    }
    return $args;
}
add_filter('register_post_type_args', 'post_has_archive', 10, 2);

// タイトルタグの出力（キャッチフレーズは出力しない）
add_theme_support( 'title-tag' );
function edit_document_title_parts ( $title ) {
  if ( is_home() || is_front_page() ) {
    unset( $title['tagline'] );
  }
  return $title;
}
add_filter( 'document_title_parts', 'edit_document_title_parts');

// 投稿一覧ページから続きへのリンクの設定
function new_excerpt_more($more) {
  global $post;
  return '...<a class="moretag"
  href="'. get_permalink($post->ID) . '">Read More</a>';
 }
 add_filter('excerpt_more', 'new_excerpt_more');

// excerptの文字数を50に制限
 function twpp_change_excerpt_length( $length ) {
  return 50;
}
add_filter( 'excerpt_length', 'twpp_change_excerpt_length', 999 );