<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <!-- ヴューポートの設定でレスポンシブ対応する -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- meyerのリセットCSSをCDNから読み込む -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css">
    <!-- アイコンに使用するFont AwesomeをCDNで読み込む -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <!-- このサイト用のスタイルシートを関数で読み込み -->
    <link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>">
    <!-- メタDescriptionタグを、関数で生成（タイトルタグはfunctions.phpで設定 -->
    <meta name="description" content="<?php echo bloginfo( 'description' ); ?>">
    <?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>

    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>



    <header>

        <div id="burger">
            <div></div>
            <div></div>
            <div></div>
            <div id="menuText">menu</div>
        </div>
        <div class="logo">
            <h1><a href="<?php echo home_url( '/' ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
            <p><a href="<?php echo home_url('/'); ?>"><?php bloginfo( 'description' ); ?></a></p>
        </div>
        
        <div class="nav">
            <?php wp_nav_menu(array(
                'theme_location' => 'header'
            )) ?>
        </div>
    </header>