<?php get_header(); ?>
    <div class="wrapper">
        <main>
            <h2>最新の投稿一覧</h2>
            <ul class="postslist">
                <?php if(have_posts()): while(have_posts()): the_post(); ?>
                    <li>
                        <!-- 画像とテキストを横に並べるため、containerクラスで囲む -->
                        <div class="container">

                        <?php if (has_post_thumbnail()) : /* もしアイキャッチが登録されていたら */ ?>
                        <?php the_post_thumbnail(); ?>
                        <?php else: /* 登録されていなかったら */ ?>
                        <img src="<?php echo get_template_directory_uri(); ?>/img/no-image.jpg" alt="no-image">
                        <?php endif; ?>
                        </a>

                        <div class="text-box">
                            <h3>
                            <a href="<?php echo the_permalink() ?>"><?php the_title() ?></a>
                            </h3>
                            
                            <time datetime="<?php echo get_the_date('Y-m-d') ?>"><?php echo get_the_date() ?></time> : <span class="authorLink"><?php the_author_posts_link(); ?></span>
                            <?php the_excerpt(); ?>
                            
                        </div>
                    </div>
                    <div class="category-comment">Category | <a href="<?php echo get_the_permalink(); ?>#reply-title">コメントする</a></div>
                        <?php the_category(); ?>
                    </li>
                    
                <?php endwhile; endif; ?>
                <?php the_posts_pagination(
                    array(
                        'mid_size'      => 1, // 現在ページの左右に表示するページ番号の数
                        'prev_next'     => true, // 「前へ」「次へ」のリンクを表示する場合はtrue
                        'prev_text'     => __( '<i class="fa-solid fa-circle-arrow-left"></i>'), // 「前へ」リンクのテキスト
                        'next_text'     => __( '<i class="fa-solid fa-circle-arrow-right"></i>'), // 「次へ」リンクのテキスト
                        'type'          => 'list', // 戻り値の指定 (plain/list)
                    )
                ); ?>
            </ul>

        </main>

        <?php get_sidebar(); ?>
        
    </div>

<?php get_footer(); ?>